package com.weiqi.vo;


public class AddrVo implements Comparable<AddrVo> {


    private String addr;
    private String ip;

    private String des;

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getDes() {
        return des;
    }

    public void setDes(String des) {
        this.des = des;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    @Override
    public String toString() {
        return "AddrVo{" +
                "addr='" + addr + '\'' +
                ", ip='" + ip + '\'' +
                ", des='" + des + '\'' +
                '}';
    }

    @Override
    public int compareTo(AddrVo o) {
        return o.getIp().compareTo(o.getIp())  ;

    }
}